#!/usr/bin/perl -w
use Cwd;
#
# Variable file

$NG = 0;

#debugging variable
$debug=0;

#author credits
$author="feb 2003 jasper\@WirelessLeiden.NL \| maart 2005/jul 2009 rick\@WirelessLeiden.NL \| jan 2010/jan 2010 richardvm\@WirelessLeiden.nl";

#filelist
@filelist = ();
$filelist[0]="rc.conf.local";
$filelist[1]="resolv.conf";
$filelist[2]="txtconfig";
$filelist[3]="authorized_keys";

#Ignore this node diretories
@removefromnodelist = ('retired','obsolete', '^CNode');

#(inter)net env
if( defined $ENV{'SERVER_NAME'} ) {
  $hostname=$ENV{'SERVER_NAME'};
}
else {
  $hostname=`hostname`;
};

chomp($hostname);
$cgi_dir="/config/iris/proxy/FreeBSD/8.0-RELEASE/g_list.pl";
$source="$cgi_dir";

#path variablen
$home=getcwd
$ndir="/usr/local/www/wlconfig/nodes";
$toolfile="$home/wleiden.pl";


#exec vars
$svn="/usr/local/bin/svn";
$wicontrol='/usr/sbin/wicontrol';

#naming vars
$configfile="wleiden.conf";

#module IP.pm
$IP_pmPath="$home/IP.pm";

#dnsheader.conf
#$dnsheader_confPath="$home/dns/dnsheader.conf";


## ssh key variablen ##
#global ssh_keys
$global_keyPath="$ndir/global_keys";
#node specific
$ssh_file='ssh_key';

$domain='wLeiden.NET.';

